Arm Mbed OS support forum

URL to download Mbed CLI in mbed-os 5.15 documentation (0.5)

I see that documentation (0.5)
https://os.mbed.com/docs/mbed-os/v5.15/quick-start/offline-with-mbed-cli.html
refers to


where it is possible to download the installer for mbed CLI 1.8.3

but I found out that


reads mbed CLI 1.10 as last current release.

Why mbed os documentation refers 1.8.3 instead of 1.10 ?

Moreove, will mbed 1.10 be compatible with Python 3.x ?

Indeed, Phyton 2.x will not be supported anymore after Jan 2020.